## atspi-action

atspi-action

## Functions

gint | atspi_action_get_n_actions ()
gchar * | atspi_action_get_description ()
gchar * | atspi_action_get_key_binding ()
gchar * | atspi_action_get_name ()
gboolean | atspi_action_do_action ()

## Types and Values

| AtspiAction

## Object Hierarchy

        GInterface
        ╰── AtspiAction

## Known Implementations

AtspiAction is implemented by AtspiAccessible.

## Description

## Functions

### atspi_action_get_n_actions ()

    gint
    atspi_action_get_n_actions (AtspiAction *obj,
                                GError **error);

Get the number of actions invokable on an AtspiAction implementor.

#### Parameters

obj | a pointer to the AtspiAction to query. |

#### Returns

an integer indicating the number of invocable actions.

### atspi_action_get_description ()

    gchar *
    atspi_action_get_description (AtspiAction *obj,
                                  gint i,
                                  GError **error);

`atspi_action_get_description` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_action_get_action_description instead.

Get the description of '`i` -th' action invocable on an object implementing AtspiAction.

[rename-to atspi_action_get_action_description]

#### Parameters

obj | a pointer to the AtspiAction implementor to query. |
i | an integer indicating which action to query. |

#### Returns

a UTF-8 string describing the '`i` -th' invocable action.

### atspi_action_get_key_binding ()

    gchar *
    atspi_action_get_key_binding (AtspiAction *obj,
                                  gint i,
                                  GError **error);

Get the keybindings for the `i` -th action invocable on an object implementing AtspiAction, if any are defined. The keybindings string format is as follows: there are multiple parts to a keybinding string (typically 3). They are delimited with ";". The first is the action's keybinding which is usable if the object implementing the action is currently posted to the screen, e.g. if a menu is posted then these keybindings for the corresponding menu-items are available. The second keybinding substring is the full key sequence necessary to post the action's widget and activate it, e.g. for a menu item such as "File->Open" it would both post the menu and activate the item. Thus the second keybinding string is available during the lifetime of the containing toplevel window as a whole, whereas the first keybinding string only works while the object implementing AtkAction is posted. The third (and optional) keybinding string is the "keyboard shortcut" which invokes the action without posting any menus. Meta-keys are indicated by the conventional strings "<Control>", "<Alt>", "<Shift>", "<Mod2>", etc. (we use the same string as `gtk_accelerator_name()` in gtk+-2.X.

#### Parameters

obj | a pointer to the AtspiAction implementor to query. |
i | an integer indicating which action to query. |

#### Returns

a UTF-8 string which can be parsed to determine the `i` -th invocable action's keybindings.

### atspi_action_get_name ()

    gchar *
    atspi_action_get_name (AtspiAction *obj,
                           gint i,
                           GError **error);

`atspi_action_get_name` has been deprecated since version 2.10 and should not be used in newly-written code.

Use atspi_action_get_action_name instead.

Get the name of the '`i` -th' action invocable on an object implementing AtspiAction.

[rename-to atspi_action_get_action_name]

#### Parameters

obj | a pointer to the AtspiAction implementor to query. |
i | an integer indicating which action to query. |

#### Returns

the non-localized name of the action, as a UTF-8 string.

### atspi_action_do_action ()

    gboolean
    atspi_action_do_action (AtspiAction *obj,
                            gint i,
                            GError **error);

Invoke the action indicated by index.

#### Parameters

obj | a pointer to the AtspiAction to query. |
i | an integer specifying which action to invoke. |

#### Returns

TRUE if the action is successfully invoked, otherwise FALSE.

## Types and Values

### AtspiAction

    typedef struct _AtspiAction AtspiAction;